Needs updating for Thunderbird! Bewertet mit 2 von 5 Sternen

would love to use on Thunderbird 15 please let me know when it will compatible. thanks!

Diese Bewertung wurde für eine vorherige Version des Add-ons (1.6.2) abgegeben.